package kr.co.i4way.mapper.mssql;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.SqlSession;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import kr.co.i4way.cst.model.RecLicenseVo;

public interface MssqlMapper {
	public void insertCCCUser(List<Map<String, Object>> list) throws Exception;
	public void insertCCCGroup(List<Map<String, Object>> list) throws Exception;
	public void setRecLicenseInfo(List<RecLicenseVo> list) throws Exception;
	public void setRecLicenseInfo_Dev(List<RecLicenseVo> list) throws Exception;
	public void setGenesysLicenseInfo(RecLicenseVo reclicensevo) throws Exception;
	public void setGenesysLicenseInfo_Dev(RecLicenseVo reclicensevo) throws Exception;
	public ArrayList getDnCnt() throws Exception;
	public ArrayList getDnCnt_Dev() throws Exception;
}
 